Index: trunk/SRC/Obsolete/common.pro
===================================================================
--- trunk/SRC/Obsolete/common.pro	(revision 76)
+++ trunk/SRC/Obsolete/common.pro	(revision 97)
@@ -1,1 +1,2 @@
+; @obsolete
 @all_cm
Index: trunk/SRC/Obsolete/cp.pro
===================================================================
--- trunk/SRC/Obsolete/cp.pro	(revision 76)
+++ trunk/SRC/Obsolete/cp.pro	(revision 97)
@@ -3,10 +3,9 @@
 ;------------------------------------------------------------
 ;+
-; NAME: cp
+; @file_comments copy files
+; @obsolete
+; @file_comments file_copy should be used instead...
 ;
-; PURPOSE: copy files
-;       obsolete, file_copy should be used instead...
-;
-; MODIFICATION HISTORY:
+; @history
 ; June 2005: Sebastien Masson => obsolete routine 
 ;
Index: trunk/SRC/Obsolete/ficdate.pro
===================================================================
--- trunk/SRC/Obsolete/ficdate.pro	(revision 76)
+++ trunk/SRC/Obsolete/ficdate.pro	(revision 97)
@@ -3,32 +3,22 @@
 ;------------------------------------------------------------
 ;+
-; NAME: ficdate
-;
-; PURPOSE:  sets s_fichier to name of the vairmer file associated
+; @file_comments  sets s_fichier to name of the vairmer file associated
 ;           to the given date in vairmer format ( yymmdd )
 ;
-; CATEGORY:
+; @obsolete
 ;
-; CALLING SEQUENCE:  fic = ficdate(930124)
+; @param vdate {in} date vairmer ex:930124
+; @param dim {in} 'so' ou 'vo' par defaut so est choisi
+; @param nomexp {in} nom de l'experience en trois lettres par defaut prefix
 ;
-; INPUTS:vdate:date vairmer ex:930124
-;	 dim:'so' ou 'vo' par defaut so est choisi
-;	 nomexp:nomde l'experience en trois lettres par defaut prefix
+; @returns le nom du fichier vairmer (depuis iodir)
 ;
-; KEYWORD PARAMETERS:
+; @uses common.pro
 ;
-; OUTPUTS:le nom du fichier vairmer (depuis iodir)
+; @example
+; IDL> fic = ficdate(930124)
 ;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Jerome Vialard  (jv@lodyc.jussieu.fr)
-;			1/7/98
+; @history Jerome Vialard  (jv\@lodyc.jussieu.fr)
+;1/7/98
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/fictype.pro
===================================================================
--- trunk/SRC/Obsolete/fictype.pro	(revision 76)
+++ trunk/SRC/Obsolete/fictype.pro	(revision 97)
@@ -3,30 +3,13 @@
 ;------------------------------------------------------------
 ;+
-; NAME: fictype
+; @file_comments  gives fictype ('DA' 'MO' 'AN' 'SE' 'EX') corresponding
+;           to the given date in vairmer format ( yymmdd )
+; @uses common.pro
 ;
-; PURPOSE:  gives fictype ('DA' 'MO' 'AN' 'SE' 'EX') corresponding
-;           to the given date in vairmer format ( yymmdd )
+; @exammples
+; IDL> fictype = fictype(930124)
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE:  fictype = fictype(930124)
-;
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Jerome Vialard  (jv@lodyc.jussieu.fr)
-;			2/7/98
+; @history Jerome Vialard  (jv\@lodyc.jussieu.fr)
+; 2/7/98
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/imprime.pro
===================================================================
--- trunk/SRC/Obsolete/imprime.pro	(revision 76)
+++ trunk/SRC/Obsolete/imprime.pro	(revision 97)
@@ -3,11 +3,8 @@
 ;------------------------------------------------------------
 ;+
-; NAME:
-;	imprime
+; @file_comments  use printps instead...
+; @obsolete
 ;
-; PURPOSE:
-;       obsolete, use printps instead...
-;	
-; MODIFICATION HISTORY:
+; @history
 ; June 2005: Sebastien Masson, english version
 ;-
Index: trunk/SRC/Obsolete/jourdsmois.pro
===================================================================
--- trunk/SRC/Obsolete/jourdsmois.pro	(revision 76)
+++ trunk/SRC/Obsolete/jourdsmois.pro	(revision 97)
@@ -3,12 +3,10 @@
 ;------------------------------------------------------------
 ;+
-; NAME:jourdsmois
+; @file_comments used daysinmonth instead...
+; @obsolete
 ;
-; PURPOSE:
-;       obsolete, used daysinmonth instead...
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; June 2005: Sebastien Masson, english version
 ;-
-; June 2005: Sebastien Masson, english version
 ;------------------------------------------------------------
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/juldate.pro
===================================================================
--- trunk/SRC/Obsolete/juldate.pro	(revision 76)
+++ trunk/SRC/Obsolete/juldate.pro	(revision 97)
@@ -3,30 +3,18 @@
 ;------------------------------------------------------------
 ;+
-; NAME: juldate
+; @file_comments you better use date2jul
+; @obsolete
 ;
-;       OBSOLETE: you better use date2jul
-;
-; PURPOSE:  gives julian date equivalent of a date in vairmer 
+; @file_comments  gives julian date equivalent of a date in vairmer 
 ;           ( yymmdd or yyyymmdd ) format 
 ;           sets month, day and year to the corresp values
 ;
-; CATEGORY: bidouilles dates
+; @categories calendar
 ;
-; CALLING SEQUENCE:  date = juldate(930124)
+; @param vvdate {in} date de la forme yymmdd ou yyyymmdd
 ;
-; INPUTS:date de la forme yymmdd ou yyyymmdd
+; @uses common.pro vraidate
 ;
-; KEYWORD PARAMETERS:
-;
-;       /VRAIDATE: pour ne pas transformer l''annnee 01 en 1901 
-;       /GRADS: if  1 le year le 49 then year = 2000+year
-;               if 50 le year le 99 then year = 1900+year
-;
-; OUTPUTS:date en jour julien
-;
-; COMONTHON BLOCKS:
-;	common.pro	vraidate
-;
-; SIDE EFFECTS:
+; @returns date en jour julien
 ;   l'annee 0 n'existant pas, qd year est nulle on calcule le
 ;     jour julien de l'annee -1.
@@ -35,6 +23,9 @@
 ;   Attention, les variables globales year, month day sont attribuees
 ;
-; MODIFICATION HISTORY: Jerome Vialard  (jv@lodyc.jussieu.fr)
-;			2/7/98
+; @examples 
+; IDL> date = juldate(930124)
+;
+; @history Jerome Vialard  (jv\@lodyc.jussieu.fr)
+; 2/7/98
 ;-
 ;------------------------------------------------------------
@@ -63,3 +54,2 @@
 end
 ;------------------------------------------------------------
-
Index: trunk/SRC/Obsolete/lec.pro
===================================================================
--- trunk/SRC/Obsolete/lec.pro	(revision 76)
+++ trunk/SRC/Obsolete/lec.pro	(revision 97)
@@ -3,25 +3,21 @@
 ;------------------------------------------------------------
 ;+
-; NAME:lec
-;   
-;
-; PURPOSE:
+; @file_comments
 ;       lit les fichiers Vairmer en sort:
-;		un tableau 2d ou 3d en fonction de nomchamp qui est le nom
-; du champ a extaire (2d s'il commence par SO et 3d s'il commence par VO)
-;	cette fonction modifie aussi les variables globales:
-;		varname: trois lettres: nom de l'experience
-;		vargrid: nom de la grille
-;		vardate: date (yy)yymmdd
-;		varexp: nom Vairmer du champ a tarcer
-;
-; CATEGORY:
-;       Graphics, lecture de fichier Vaimer
-;
-; CALLING SEQUENCE:
-;	resultat=lec('nom_Vairmer'[,date[,'nom_experience']])
-;
-; INPUTS:
-;	nom_Vairmer: 2 choix possibles:
+;un tableau 2d ou 3d en fonction de nomchamp qui est le nom
+;du champ a extaire (2d s'il commence par SO et 3d s'il commence par VO)
+;cette fonction modifie aussi les variables globales:
+;varname: trois lettres: nom de l'experience
+;vargrid: nom de la grille
+;vardate: date (yy)yymmdd
+;varexp: nom Vairmer du champ a tarcer
+;
+; @obsolete
+; @categories Graphics, lecture de fichier Vaimer
+;
+; @examples
+; IDL>resultat=lec('nom_Vairmer'[,date[,'nom_experience']])
+;
+; @param nomchamp {in}{required} 2 choix possibles:
 ;             1) nom de champ Vairmer (chaine de 8 caracteres en majuscule ou 
 ; minuscule commencant par vo ou so). Dans cette methode on saute directement
@@ -31,38 +27,35 @@
 ; plus rapide car elle va directement chercher le fichier qui nous interesse.
 ;
-;	arguments optionnels:
-;	
-;	date:nombres de 6 ou 8 chiffres (anneemoisjour, par ex:19980507)
-;	nom_experience:trois lettres designant le nom de l'experience
-;
-; KEYWORD PARAMETERS:
-;
-;       /ANOM:type du fichier vairmer par rapport auquel on doit calculer 
+; @param date {in}{optional} nombres de 6 ou 8 chiffres (anneemoisjour, par ex:19980507)
+; @param nomexp {in}{optional} trois lettres designant le nom de l'experience
+;
+;
+; @keyword /ANOM {in} type du fichier vairmer par rapport auquel on doit calculer 
 ;             l'anomalie ('EX','AN','SE','MO','')
 ;
-;	/ECRIT:permet d'imprimer tous les noms vairmer que contient le fichier.
+; @keyword /ECRIT {in} permet d'imprimer tous les noms vairmer que contient le fichier.
 ; ds ce cas en input on met seulement 'vo' ou 'so' la fonction retourne le
 ; nombre de fichiers lus.
 ;
-;       /EXPANOM: si on calcule l'anom par rapport a une exper
+; @keyword /EXPANOM {in} si on calcule l'anom par rapport a une exper
 ;       differente
 ;
-;       FILENAME: string pour passer directement le nom du champ sans
+; @keyword FILENAME string pour passer directement le nom du champ sans
 ;       utiliser les inputs: nom_Vairmer',date,'nom_experience'. Rq si
 ;       ces inputs sont qd meme donnes ils ne sont pas modifies par
 ;       filename.
 ;
-;       /GRID:lorsque ce mot clef est active, lec retourne la liste
+; @keyword /GRID lorsque ce mot clef est active, lec retourne la liste
 ;       des types de grilles (T, U...) auxquelles se rapportent les
 ;       variables. ds ce cas en input on met seulement 'vo' ou 'so'.
 ;
-;       /NAME:lorsque ce mot clef est active, lec retourne la liste
+; @keyword /NAME lorsque ce mot clef est active, lec retourne la liste
 ;       des noms des variables. ds ce cas en input on met seulement
 ;       'vo' ou 'so'.
 ;
-;       /TOUT: oblige lec a lire le champ sur tout le domaine qui a
+; @keyword /TOUT  oblige lec a lire le champ sur tout le domaine qui a
 ;       etait selectionne pour la cession en cours (jpi,jpj,jpk)
 ;
-; OUTPUTS: un tableau 2 ou 3d. sans le mot cle /TOUT, sa taille est
+; @returns un tableau 2 ou 3d. sans le mot cle /TOUT, sa taille est
 ; celle du sous domaine definit par domdef (nx,ny,nz). avec /TOUT le
 ; champ a la taille du  domaine qui a etait selectionne pour la
@@ -70,15 +63,9 @@
 ; pour les sous domaines cf:  
 ;        http://www.ipsl.jussieu.fr/~smlod/sousdomaine.html
-;
-; COMMON BLOCKS:
-;       common.pro	   isnumber.pro		fivardate.pro  
-;
-; SIDE EFFECTS:Retourne -1 en cas d'erreur.
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; Retourne -1 en cas d'erreur.
+;
+; @uses common.pro isnumber.pro fivardate.pro  
+;
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			26/5/98
 ;                       Jerome Vialard : adaptation au format vairmer
Index: trunk/SRC/Obsolete/lect.pro
===================================================================
--- trunk/SRC/Obsolete/lect.pro	(revision 76)
+++ trunk/SRC/Obsolete/lect.pro	(revision 97)
@@ -3,28 +3,28 @@
 ;------------------------------------------------------------
 ;+
-; NAME:lect
 ;   
-; PURPOSE:
+; @file_comments
 ;       lit les fichiers Vairmer de date1 a date2 et en sort un tableau
 ;       1D, 2D ou 3D qui peut etre reutilise pour une courbe / hov / animation
-;	cette fonction modifie aussi les variables globales:
-;		varname: huit lettres: nom Vairmer du champ a tracer
-;		vargrid:1 lettre : nom de la grille
-;		varexp: trois lettres :nom de l'experience
-;
-; CATEGORY:
-;       Graphics, lecture de fichier Vaimer
-;
-; CALLING SEQUENCE:
-;	resultat=lec('nom_Vairmer',date1,date2,'nomexp','direc',BOITE=boite)
-;
-; INPUTS:
-;	nom_Vairmer: nom de champ Vairmer (chaine de 8 caracteres commencant
+;cette fonction modifie aussi les variables globales:
+;varname: huit lettres: nom Vairmer du champ a tracer
+;vargrid:1 lettre : nom de la grille
+;varexp: trois lettres :nom de l'experience
+;
+; @obsolete
+;
+; @categories Graphics, lecture de fichier Vaimer
+;
+; @examples
+; IDL> resultat=lec('nom_Vairmer',date1,date2,'nomexp','direc',BOITE=boite)
+;
+; @param nomchamp {in}{required} nom de champ Vairmer (chaine de 8 caracteres commencant
 ;                    par VO ou SO
-;       date de depart (date1) et de fin (date2) de la serie temporelle a
+;         @param date1 {in}{required} date de depart de la serie temporelle a
+;         @param date2 {in}{required} date de fin (date2) de la serie temporelle a
 ;             extraire
-;       nomexp nom de l' experience a lire (prefix pardefaut)
-;
-;       direc : 'x' 'y' 'z' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt' 'xzt'
+;       @param nomexp {in}{required} nom de l' experience a lire (prefix pardefaut)
+;
+;       @param direc  {in}{required} 'x' 'y' 'z' 'xy' 'xz' 'yz' 'xyz' 'xt' 'yt' 'zt' 'xyt' 'xzt'
 ;       'yzt' 'xyzt' directions selon lesquelles effectuer les moyennes
 ;       (si rien n'est donne on n'effectue pas de moyenne)
@@ -32,23 +32,14 @@
 ;
 ;
-; KEYWORD PARAMETERS:
-;         boite  : boite sur laquelle integrer (par defaut tt le domaine)
-;         anom   : type de fichiers ('SE','AN','') a relire pour calc une
+;       @keyword boite {in} boite sur laquelle integrer (par defaut tt le domaine)
+;       @keyword  anom {in} type de fichiers ('SE','AN','') a relire pour calc une
 ; anomalie  
-;         expanom: experience pour laquelle on veut calculer une anomalie
+;         @keyword expanom {in} experience pour laquelle on veut calculer une anomalie
 ; (par defaut la meme que nomexp)
-;         repeat : nombre de fois que l'on veut dupliquer la serie bout a bout
-;
-; COMMON BLOCKS:
-;       common		vraidate	juldate
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Jerome Vialard (jv@lodyc.jussieu.fr)
-;			2/7/98
+;
+; @uses common vraidate juldate
+;
+; @history Jerome Vialard (jv\@lodyc.jussieu.fr)
+; 2/7/98
 ;-
 ;--------------------------------------------------------------
Index: trunk/SRC/Obsolete/meshlec.pro
===================================================================
--- trunk/SRC/Obsolete/meshlec.pro	(revision 76)
+++ trunk/SRC/Obsolete/meshlec.pro	(revision 97)
@@ -3,39 +3,29 @@
 ;------------------------------------------------------------
 ;+
-; NAME:meshlec
-;
-; PURPOSE: lecture du mask de des sorties d'OPA. les sources se trouvent ds les 
+;
+; @file_comments lecture du mask de des sorties d'OPA. les sources se trouvent ds les 
 ; repertoires sur maia du type:
 ;  /nom_exp/RESTARTS
 ;
-; CATEGORY:
-;
-; CALLING SEQUENCE:meshmask[,' nomfich']
-;
-; INPUTS:
-;    nomfich: string, c''est le nom du fichier a lire. Par defaut, c''est
-;             meshmask. 
-;
-; KEYWORD PARAMETERS:
-;
-;    GLAMBOUNDARY: un vecteur de 2 elements specifaint le min et le
+; @obsolete
+; @examples
+; IDL> meshmask[,' nomfich']
+;
+; @param  nomfich {in}{required} string, c''est le nom du fichier a lire. Par defaut, c''est meshmask. 
+;
+;
+;  @keyword GLAMBOUNDARY {in} un vecteur de 2 elements specifaint le min et le
 ;    max qui doivent etre imposes en longitude (obligatoire si le
 ;    tableau depasse 360 degres)
 ;
-;        /pasblabla: pour suprimer les blablas
-;
-;        /DOUBLE: pour forcer a lire les tableaux en double
+; @keyword /pasblabla {in} pour suprimer les blablas
+;
+; @keyword /DOUBLE {in} pour forcer a lire les tableaux en double
 ;        precision. ce Mot clef est maintenant active
 ;        automatiquement.
 ;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
+; @uses common.pro
+;
+; @restrictions
 ;  La definition de ixminmesh,ixmaxmesh,iyminmesh,iymaxmesh
 ;  ,izminmesh,izmaxmesh doit etre faite avant l''entree dans cette
@@ -43,7 +33,5 @@
 ;  possible les mettre toutes a -1 et meshlec les calculera.
 ;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;     Marina Levy : lecture en double precision (cas calcul sur shine)
 ;-
@@ -65,5 +53,5 @@
 ;  a 1: cf le fichier wrivr2.F ds WKOPA sur le cray
 ;----------------------------------------------------------
-;	LECTURE DU MASK trouve ds les fichiers restart
+; LECTURE DU MASK trouve ds les fichiers restart
 ;----------------------------------------------------------
 ;----------------------------------------------------------
Index: trunk/SRC/Obsolete/ncdf_meshlec.pro
===================================================================
--- trunk/SRC/Obsolete/ncdf_meshlec.pro	(revision 76)
+++ trunk/SRC/Obsolete/ncdf_meshlec.pro	(revision 97)
@@ -3,10 +3,8 @@
 ;------------------------------------------------------------
 ;+
-; NAME:ncdf_meshlec
+; @file_comments use ncdf_meshread instead...
+; @obsolete
 ;
-; PURPOSE:obsolete, use ncdf_meshread instead...
-;
-; MODIFICATION HISTORY:
-;
+; @history
 ; Aug. 2005, Sebastien Masson: switch to ncdf_meshread
 ;-
Index: trunk/SRC/Obsolete/nlec.pro
===================================================================
--- trunk/SRC/Obsolete/nlec.pro	(revision 76)
+++ trunk/SRC/Obsolete/nlec.pro	(revision 97)
@@ -3,50 +3,30 @@
 ;------------------------------------------------------------
 ;+
-; NAME:nlec
-;
-; PURPOSE:lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui sont sur
+; @file_comments lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui sont sur
 ; maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
-;
-; CATEGORY:
-;
-; CALLING SEQUENCE:
-;
-; INPUTS:nom:nom du tableau contenant le champ que l'on veut (le
+; @obsolete
+;
+; @param name {in}{required} nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
 ;
-;	arguments optionnels:
-;	
-;	date:nombres de 6 ou 8 chiffres (anneemoisjour, par ex:19980507)
-;	nom_experience:trois lettres designant le nom de l'experience
-;
-;
-; KEYWORD PARAMETERS:
-;
-;       BOITE: boite sur laquelle integrer (par defaut tt le domaine)
-;
-;	DATE2:stipule la seconde date pour extraire une serie temporelle
-;
-;       DIREC: 'x' 'y' 'z' 'xy' 'xz' 'yz' 'xyz' directions selon lesquelles
+; @param debut {in} nombres de 6 ou 8 chiffres (anneemoisjour, par ex:19980507)
+; @param fin {in} nombres de 6 ou 8 chiffres (anneemoisjour, par ex:19980507)
+; @param nomexperience {in}{optional} trois lettres designant le nom de l'experience
+;
+;
+;       @keyword BOITE boite sur laquelle integrer (par defaut tt le domaine)
+;
+;       @keyword DIREC: 'x' 'y' 'z' 'xy' 'xz' 'yz' 'xyz' directions selon lesquelles
 ;             effectuer les moyennes (si rien n'est donne on n'effectue pas de moyenne)
 ;
-;	GRILLE:impose la grille a laquelle est rapporte le champ. rq permet
+; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture 
 ;
-;	/TOUT:oblige a lire le tableau entier en non pas celui reduit a domdef
-;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;	common.pro	vraidate	juldate 
-;       nlec5j          nlecserie
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;			14/8/98
+; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+;
+; @uses common.pro vraidate juldate  nlec5j          nlecserie
+;
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;   14/8/98
 ;-
 ;------------------------------------------------------------
Index: trunk/SRC/Obsolete/nlec5j.pro
===================================================================
--- trunk/SRC/Obsolete/nlec5j.pro	(revision 76)
+++ trunk/SRC/Obsolete/nlec5j.pro	(revision 97)
@@ -3,43 +3,36 @@
 ;------------------------------------------------------------
 ;+
-; NAME:NLEC5J
-;
-; PURPOSE:lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui
+; @file_comments lit les fichiers Net-Cdf de l'experience TOTEM/ECMWF qui
 ; contiennent les sorties a 5j regroupees par type de grille par
 ; paquets de 6 mois.
 ; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS 
+; @obsolete
 ;
-; CATEGORY:lecture de NETCDF
+; @categories lecture de NETCDF
 ;
-; CALLING SEQUENCE: res=nlec5j( nom, numsortie, nbretps)
+; @examples
+; IDL> res=nlec5j( nom, numsortie, nbretps)
 ;
-; INPUTS:
-;       nom:nom du tableau contenant le champ que l'on veut (le
+; @param nom {in}{required} nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
-;       numsortie:le numero du pas de temps que l'on veut sortir du
+;  @param numsortie {in}{required}le numero du pas de temps que l'on veut sortir du
 ; fichier (compte a partir de 1) a partir de year
-;       nbretps:nombre de pas de temps a extraire
+; @param nbretps {in}{required} nombre de pas de temps a extraire
 ;
-; KEYWORD PARAMETERS:
 ;
-;       BOITE: boite sur laquelle integrer (par defaut tt le domaine)
+;       @keyword BOITE boite sur laquelle integrer (par defaut tt le domaine)
 ;
-;	GRILLE:impose la grille a laquelle est rapporte le champ. rq permet
+; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture 
 ;
-;	/TOUT:oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
-; OUTPUTS: res=tableau 2d (qd on ne demande pas de serie) ou 3d ou 4d ds le cas dune serie 
+; @returns tableau 2d (qd on ne demande pas de serie) ou 3d ou 4d ds le cas dune serie 
 ; 
-; COMMON BLOCKS:
-;	common.pro
+; @uses common.pro
 ;
-; SIDE EFFECTS:
+; @restrictions appele par nlec
 ;
-; RESTRICTIONS:appele par nlec
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ;-
Index: trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- trunk/SRC/Obsolete/nlecan.pro	(revision 76)
+++ trunk/SRC/Obsolete/nlecan.pro	(revision 97)
@@ -3,42 +3,34 @@
 ;------------------------------------------------------------
 ;+
-; NAME:NLECAN
-;
-; PURPOSE:lit les moyennes annuelles
+; @file_comments lit les moyennes annuelles
 ; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS 
 ;
-; CATEGORY:lecture de NETCDF
+; @obsolete
+; @categories lecture de NETCDF
 ;
-; CALLING SEQUENCE:res=nlecan(nom, numsortie79, nbretps)
+; @examples 
+; IDL> res=nlecan(nom, numsortie79, nbretps)
 ;
-; INPUTS:
-;       nom:nom du tableau contenant le champ que l'on veut (le
+; @param nom {in}{required} nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
-;       numsortie79:le numero du pas de temps que l'on veut sortir du
+; @param numsortie79  {in}{required} le numero du pas de temps que l'on veut sortir du
 ; fichier (compte a partir de 1) a partir de 79
-;       nbretps:nombre de pas de temps a extraire
+; @param nbretps  {in}{required} nombre de pas de temps a extraire
 ;
-; KEYWORD PARAMETERS:
+; @keyword BOITE  boite sur laquelle integrer (par defaut tt le domaine)
 ;
-;       BOITE: boite sur laquelle integrer (par defaut tt le domaine)
-;
-;	GRILLE:impose la grille a laquelle est rapporte le champ. rq permet
+; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture 
 ;
-;	/TOUT:oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
-; OUTPUTS: res=tableau 2d (qd la serie ne fait que 1 pas de temps) ou
+; @returns tableau 2d (qd la serie ne fait que 1 pas de temps) ou
 ; 3d (valable ds 1 premier tps que pour les tableaux 2d)
 ; 
-; COMMON BLOCKS:
-;	common.pro
+; @uses common.pro
 ;
-; SIDE EFFECTS:appele par nlec
+; @restrictions appele par nlec
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ;-
Index: trunk/SRC/Obsolete/nlecmois.pro
===================================================================
--- trunk/SRC/Obsolete/nlecmois.pro	(revision 76)
+++ trunk/SRC/Obsolete/nlecmois.pro	(revision 97)
@@ -3,38 +3,19 @@
 ;------------------------------------------------------------
 ;+
-; NAME:nlecmois.pro
 ;
-;
-; PURPOSE:lit les fichiers Net-Cdf  de moyenne mensuel  de
+; @file_comments lit les fichiers Net-Cdf  de moyenne mensuel  de
 ; l'experience TOTEM/ECMWF qui sont sur
 ; maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS
+; @obsolete
 ;
-; CATEGORY:
+; @keyword BOITE boite sur laquelle integrer (par defaut tt le domaine)
 ;
-; CALLING SEQUENCE:
-;
-; INPUTS:
-;
-; KEYWORD PARAMETERS:
-;
-;       BOITE: boite sur laquelle integrer (par defaut tt le domaine)
-;
-;	GRILLE:impose la grille a laquelle est rapporte le champ. rq permet
+; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture 
 ;
-;	/TOUT:oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
+; @uses common.pro
 ;
-; OUTPUTS:
-;
-; COMMON BLOCKS:
-;	common.pro
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ;-
Index: trunk/SRC/Obsolete/nlecsaison.pro
===================================================================
--- trunk/SRC/Obsolete/nlecsaison.pro	(revision 76)
+++ trunk/SRC/Obsolete/nlecsaison.pro	(revision 97)
@@ -3,42 +3,34 @@
 ;------------------------------------------------------------
 ;+
-; NAME:NLECAN
+; @file_comments lit les moyennes annuelles
+; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS 
+; @obsolete
 ;
-; PURPOSE:lit les moyennes annuelles
-; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS 
+; @categories lecture de NETCDF
 ;
-; CATEGORY:lecture de NETCDF
+; @examples
+; IDL> res=nlecsaison(nom, numsortie79, nbretps)
 ;
-; CALLING SEQUENCE:res=nlecsaison(nom, numsortie79, nbretps)
+; @param nom {in}{required} nom du tableau contenant le champ que l'on veut (le
+; trouver avec ncdflec,fichier,/var
+; @param numsortie79  {in}{required} le numero du pas de temps que l'on veut sortir du
+; fichier (compte a partir de 1) a partir de 79
+;  @param nbretps  {in}{required} nombre de pas de temps a extraire
 ;
-; INPUTS:
-;       nom:nom du tableau contenant le champ que l'on veut (le
-; trouver avec ncdflec,fichier,/var
-;       numsortie79:le numero du pas de temps que l'on veut sortir du
-; fichier (compte a partir de 1) a partir de 79
-;       nbretps:nombre de pas de temps a extraire
+; @keyword      BOITE boite sur laquelle integrer (par defaut tt le domaine)
 ;
-; KEYWORD PARAMETERS:
-;
-;       BOITE: boite sur laquelle integrer (par defaut tt le domaine)
-;
-;	GRILLE:impose la grille a laquelle est rapporte le champ. rq permet
+; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture 
 ;
-;	/TOUT:oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
-; OUTPUTS: res=tableau 2d (qd la serie ne fait que 1 pas de temps) ou
+; @returns tableau 2d (qd la serie ne fait que 1 pas de temps) ou
 ; 3d (valable ds 1 premier tps que pour les tableaux 2d)
 ; 
-; COMMON BLOCKS:
-;	common.pro
+; @uses common.pro
 ;
-; SIDE EFFECTS:appele par nlec
+; @restrictions appele par nlec
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ;-
Index: trunk/SRC/Obsolete/nlecserie.pro
===================================================================
--- trunk/SRC/Obsolete/nlecserie.pro	(revision 76)
+++ trunk/SRC/Obsolete/nlecserie.pro	(revision 97)
@@ -3,41 +3,33 @@
 ;------------------------------------------------------------
 ;+
-; NAME:NLECSERIE
+; @file_comments lit les series temporelles se rapportant a une variable
+; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS 
+; @obsolete
 ;
-; PURPOSE:lit les series temporelles se rapportant a une variable
-; sur maia: /u/rech/eee/reee217/TOTEM/REF/OUTPUTS 
+; @categories lecture de NETCDF
 ;
-; CATEGORY:lecture de NETCDF
+; @examples 
+; IDL> res=nlecserie(nom, date1, date2)
 ;
-; CALLING SEQUENCE:res=nlecserie(nom, date1, date2)
-;
-; INPUTS:
-;       nom:nom du tableau contenant le champ que l'on veut (le
+; @param nom {in}{required} nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
 ;
-;       date1 et date2 les dates vermairs qui delimitent la serie temporelle
+;  @param  date1 date2 {in}{required} les dates vermairs qui delimitent la serie temporelle
 ;
-; KEYWORD PARAMETERS:
+; @keyword BOITE boite sur laquelle integrer (par defaut tt le domaine)
 ;
-;       BOITE: boite sur laquelle integrer (par defaut tt le domaine)
-;
-;	GRILLE:impose la grille a laquelle est rapporte le champ. rq permet
+; @keyword GRILLE impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture 
 ;
-;	/TOUT:oblige a lire le tableau entier en non pas celui reduit a domdef
+; @keyword /TOUT oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
-; OUTPUTS: res=tableau 2d (qd la serie ne fait que 1 pas de temps) ou
+; @returns tableau 2d (qd la serie ne fait que 1 pas de temps) ou
 ; 3d (valable ds 1 premier tps que pour les tableaux 2d)
 ; 
-; COMMON BLOCKS:
-;	common.pro
+; @uses common.pro
 ;
-; SIDE EFFECTS:appele par nlec
+; @restrictions appele par nlec
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ;-
Index: trunk/SRC/Obsolete/vairdate.pro
===================================================================
--- trunk/SRC/Obsolete/vairdate.pro	(revision 76)
+++ trunk/SRC/Obsolete/vairdate.pro	(revision 97)
@@ -3,42 +3,33 @@
 ;------------------------------------------------------------
 ;+
-; NAME: vairdate
 ;
-;       OBSOLETE: you better use jul2date
+; @file_comments  gives vairmer date equivalent of a date in julian format
+;           sets month, day and year to the corresp values
+; @obsolete
+; @file_comments you better use jul2date
 ;
-; PURPOSE:  gives vairmer date equivalent of a date in julian format
-;           sets month, day and year to the corresp values
+; @examples 
+; IDL> vdate = vairdate(1755087)
 ;
-; CATEGORY:
+; @param jdate {in}{required} date en jours juliens
 ;
-; CALLING SEQUENCE:  vdate = vairdate(1755087)
 ;
-; INPUTS:jdate=date en jours juliens
-;
-; KEYWORD PARAMETERS:
-;
-;    MENSUEL: a activer si on veut pour  que les dates dont le jour est
+; @keyword MENSUEL a activer si on veut pour  que les dates dont le jour est
 ;    15 deviennent avec un jour egale a 0. par ex:
 ;    19990115   ->   19990100
 ;
-;    ANNUEL: a activer si on veut pour  que les dates dont le mois est
+; @keyword  ANNUEL a activer si on veut pour  que les dates dont le mois est
 ;    6 et dont le jour est 1 deviennent avec un mois et jour egale a
 ;    0. par ex:
 ;    19990601   ->   19990000
 ;
-; OUTPUTS:vdate=date vairmer
-;	  plus year, month et day
+; @returns vdate date vairmer
+;   plus year, month et day
 ;
-; COMMON BLOCKS:
-;	common.pro
+; @uses  common.pro
 ;
-; SIDE EFFECTS:
 ;
-; RESTRICTIONS:
-;
-; EXAMPLE:
-;
-; MODIFICATION HISTORY: Jerome Vialard  (jv@lodyc.jussieu.fr)
-;			2/7/98
+; @history  Jerome Vialard  (jv\@lodyc.jussieu.fr)
+;   2/7/98
 ;                13/9/1999, Sebastien Masson (smasson@lodyc.jussieu.fr)
 ;                       ANNUEL,MENSUEL,_EXTRA et possibilite
Index: trunk/SRC/Obsolete/vraidate.pro
===================================================================
--- trunk/SRC/Obsolete/vraidate.pro	(revision 76)
+++ trunk/SRC/Obsolete/vraidate.pro	(revision 97)
@@ -3,27 +3,23 @@
 ;------------------------------------------------------------
 ;+
-; NAME:vraidate
+; @file_comments donne la date en long
+; @obsolete
 ;
-; PURPOSE:donne la date en long
 ;
-; CATEGORY:
+; @param date {in}{required} une date du type yyyymmdd
 ;
-; CALLING SEQUENCE:res=vraidate(date)
-;
-; INPUTS:date:une date du type yyyymmdd
-;
-; KEYWORD PARAMETERS:
-;
-;       /GRADS: if  1 le year le 49 then year = 2000+year
+;  @keyword /GRADS if  1 le year le 49 then year = 2000+year
 ;               if 50 le year le 99 then year = 1900+year
 ;
-; OUTPUTS:une date vairmer du type yyyymmdd
+; @returns une date vairmer du type yyyymmdd
+; si year est nulle ou egale a -1 ne change rien
 ;
-; SIDE EFFECTS:si year est nulle ou egale a -1 ne change rien
+; @examples 
+; IDL> res=vraidate(date)
+; IDL> vraidate(980703) 
+; donne 19980703 qui est un long
 ;
-; EXAMPLE:vraidate(980703) donne 19980703 qui est un long
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;			3/7/98
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;   3/7/98
 ; remove automatic change from year 1 to 1901... Aug 2004
 ;-
